Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 158907 - Support for listening on changes of property values.
Support for listening on changes of property values.
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 16:54 UTC by Martin Entlicher
Modified: 2010-04-29 09:48 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed API change including test. (18.32 KB, text/plain)
2009-02-20 16:58 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2009-02-20 16:54:58 UTC
Currently it's not possible to listen on changes to o.n.a.d.Properties object. Therefore we can not adapt the
functionality to changes made in options.

The proposal is to add addPropertyChangeListener() and removePropertyChangeListener() methods to Properties class.
Comment 1 Martin Entlicher 2009-02-20 16:58:15 UTC
Created attachment 77205 [details]
The proposed API change including test.
Comment 2 Martin Entlicher 2009-02-20 16:59:16 UTC
Please review this simple API change - addition of property change listeners to o.n.a.d.Properties.
Comment 3 Martin Entlicher 2009-02-27 09:17:00 UTC
Thanks for the review, I'm going to push this API change by the COB.
Comment 4 Quality Engineering 2009-03-02 20:58:08 UTC
Integrated into 'main-golden', will be available in build *200903021401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b753b1e4cdbe
User: mentlicher@netbeans.org
Log: #158907 - Added addPropertyChangeListener() and removePropertyChangeListener() methods to Properties class.
Comment 5 Martin Entlicher 2009-03-02 21:41:22 UTC
Integrated.
Comment 6 Quality Engineering 2010-04-29 09:48:22 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo